#include "usart.h"
#include "device.h"
#include "spi2.h"
#include "ult.h"
#include "socket.h"
#include "w5500.h"
#include "24c16.h"
#include "md5.h"
#include "string.h"
#include "mbascii.h"

uint16 local_port=5000;										// һض˿ڲʼ 	
extern uint8 txsize[];										// ⲿSocketͻС
extern uint8 rxsize[];										// ⲿSocketջС

uint8 buffer[2048];												// һ2KB飬Socketͨ

int main(void)
{  												
	/***** MCUʱӳʼ *****/							  
	Systick_Init(72);	
	
	/***** жϿ *****/
	NVIC_Configuration();
	
	/***** GPIOSPIʼ *****/
	GPIO_Configuration();			
	
	WIZ_SPI_Init();
	
	/***** ڳʼ *****/
	USART1_Init(); 		
	
	/***** ʼeeprom *****/
  at24c16_init();
	
	/***** ӲW5500 *****/
	Reset_W5500();
	
	/***** W5500IPϢʼ *****/
	set_default(); 														// ĬMACIPGWSUBDNS
	set_network();														// óʼIPϢӡʼ8Socket
	
	/***** W5500Keepalive *****/
	setkeepalive(0);
	
	printf("TCP Server Port: %d\r\n",local_port);
	printf("W5500 Init Complete!\r\n");
  printf("Start Modbus TCP Server Test!\r\n"); 

	while(1)																	
	{
		do_Modbus();
	}
}

